/*
** Filter_Data.h
**
** Header for Filter_Data.c
** Contains all structures to use t_filterdata type in filter plugins
** sam-lo_p@epita.fr
*/

#ifndef __FILTER_DATA_H__
#define __FILTER_DATA_H__

#include<stdlib.h>
#include<fcntl.h>
#include<sys/types.h>
#include<sys/stat.h>
#include"Run_Filter.h"
#include"DebugLib.h"

typedef struct s_filterdata t_filterdata;
struct s_filterdata
{
  t_filter_data* filter_data;
  int            fd;
};

t_filterdata *filterdata_new( // Creates a filterdata
			     char* // Path to filter_data file
			     );

int filterdata_write( // Updates filterdata to comunicate with Gmurf main pgm
		     t_filterdata* 
		     );

int filterdata_destroy( // Kills the t_filterdata* when finished
		       t_filterdata* // t_filter_data* to destroy
		       );

#endif
