#!/usr/bin/wish
#############################################################################
# Visual Tcl v1.20 Project
#

#################################
# GLOBAL VARIABLES
#
global is_processing; set is_processing {0}
global p1; set p1 {10}
global p2; set p2 {1000}
global p3; set p3 {80}
global p4; set p4 {60}
global widget; 
#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {

}

init $argc $argv


proc {main} {argc argv} {

}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {base} {
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 200x285+356+148
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "The Gmurf Team - echoes"
    wm protocol $base WM_DELETE_WINDOW exit
    button $base.but18 \
        \
        -command {if {$is_processing == 1} {
    Window show .top38
} else {
    Window show .top35
    set is_processing 1
    exec ./echoes [lindex $argv 0] [lindex $argv 1] [lindex $argv 2] $p1 $p2 $p3 $p4 [pid] &
}} \
        -padx 9 -pady 3 -text {Burn in!} 
    button $base.but19 \
        \
        -command {if {$is_processing == 1} {
    Window show .top38
} else {
    exit
}} \
        -padx 9 -pady 3 -text {Kick it out} 
    entry $base.ent20 \
        -textvariable p1 
    entry $base.ent21 \
        -textvariable p2 
    entry $base.ent22 \
        -textvariable p3 
    entry $base.ent23 \
        -textvariable p4 
    label $base.lab24 \
        -borderwidth 1 -relief raised -text repeats 
    label $base.lab25 \
        -borderwidth 1 -relief raised -text delay 
    label $base.lab26 \
        -borderwidth 1 -relief raised -text decay 
    label $base.lab27 \
        -borderwidth 1 -relief raised -text saturation 
    label $base.lab28 \
        -borderwidth 1 -relief raised -text {Tiny echoes plugin v0.2} 
    frame $base.fra29 \
        -borderwidth 2 -height 75 -relief groove -width 125 
    button $base.fra29.but31 \
        -command {set p1 10
set p2 1000
set p3 80
set p4 60} -padx 9 -pady 3 \
        -text Metal 
    button $base.fra29.but32 \
        -command {set p1 10
set p2 20000
set p3 70
set p4 70} -padx 9 -pady 3 \
        -text Space 
    button $base.fra29.but33 \
        -command {set p1 6
set p2 10000
set p3 150
set p4 5} -padx 9 -pady 3 \
        -text Reverse 
    button $base.fra29.but34 \
        -command {set p1 2
set p2 500
set p3 150
set p4 300} -padx 9 -pady 3 \
        -text Ugly 
    label $base.lab30 \
        -borderwidth 1 -relief raised -text preset 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.but18 \
        -x 20 -y 250 -anchor nw -bordermode ignore 
    place $base.but19 \
        -x 100 -y 250 -anchor nw -bordermode ignore 
    place $base.ent20 \
        -x 100 -y 40 -width 93 -height 22 -anchor nw -bordermode ignore 
    place $base.ent21 \
        -x 100 -y 65 -width 93 -height 22 -anchor nw -bordermode ignore 
    place $base.ent22 \
        -x 100 -y 90 -width 93 -height 22 -anchor nw -bordermode ignore 
    place $base.ent23 \
        -x 100 -y 115 -width 93 -height 22 -anchor nw -bordermode ignore 
    place $base.lab24 \
        -x 25 -y 40 -anchor nw -bordermode ignore 
    place $base.lab25 \
        -x 25 -y 65 -anchor nw -bordermode ignore 
    place $base.lab26 \
        -x 25 -y 90 -anchor nw -bordermode ignore 
    place $base.lab27 \
        -x 25 -y 120 -anchor nw -bordermode ignore 
    place $base.lab28 \
        -x 20 -y 10 -anchor nw -bordermode ignore 
    place $base.fra29 \
        -x 5 -y 145 -width 160 -height 100 -anchor nw -bordermode ignore 
    place $base.fra29.but31 \
        -x 5 -y 30 -anchor nw -bordermode ignore 
    place $base.fra29.but32 \
        -x 85 -y 30 -anchor nw -bordermode ignore 
    place $base.fra29.but33 \
        -x 5 -y 60 -anchor nw -bordermode ignore 
    place $base.fra29.but34 \
        -x 95 -y 60 -anchor nw -bordermode ignore 
    place $base.lab30 \
        -x 10 -y 150 -anchor nw -bordermode ignore 
}

proc vTclWindow.top35 {base} {
    if {$base == ""} {
        set base .top35
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 97x64+335+220
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm title $base "msg"
    wm protocol $base WM_DELETE_WINDOW { exec killall -TERM ./echoes
	exec rm [lindex $argv 1]
	exit}
    button $base.but36 \
        -command {exec killall -TERM ./echoes
exec rm [lindex $argv 1]
exit} \
        -padx 9 -pady 3 -text Cancel 
    label $base.lab37 \
        -borderwidth 1 -relief raised -text Processing... 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.but36 \
        -x 15 -y 30 -anchor nw -bordermode ignore 
    place $base.lab37 \
        -x 5 -y 5 -anchor nw -bordermode ignore 
}

proc vTclWindow.top38 {base} {
    if {$base == ""} {
        set base .top38
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 218x91+145+264
    wm maxsize $base 785 570
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm title $base "Error"
    label $base.lab39 \
        -borderwidth 1 -relief raised \
        -text {File is already being processed!} 
    button $base.but40 \
        -command {Window hide .top38} -padx 9 -pady 3 -text Damn! 
    message $base.mes17 \
        -padx 5 -pady 2 -text {Please click 'cancel' to stop} 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.lab39 \
        -x 5 -y 5 -width 206 -height 18 -anchor nw -bordermode ignore 
    place $base.but40 \
        -x 120 -y 40 -anchor nw -bordermode ignore 
    place $base.mes17 \
        -x 30 -y 30 -width 68 -height 41 -anchor nw -bordermode ignore 
}

Window show .
Window show .top17

main $argc $argv
